Make new user login/account creation the only version after testing and MW namespace cleanup
Closed, ResolvedPublic

Description

The account creation (ACUX) and user login changes in E3Experiments have been removed to core. However, they only apply when a useAgora flag is in the URL. This allows testing and MW message cleanup where necessary.

When this is done, useAgora should be removed and Agora made the only version.


Version: 1.21.x
Severity: normal

bzimport set Reference to bz46333.
Mattflaschen created this task.Via LegacyMar 19 2013, 7:03 PM
Aklapper added a comment.Via ConduitApr 23 2013, 10:25 AM

Matthew: Is there any timeframe (or "Is this stable enough" / "Should any bug reports get fixed first and hence block this one which is about 'deployment'")?

Mattflaschen added a comment.Via ConduitApr 23 2013, 7:37 PM

There may be some small blockers. Currently, only the login version of this is in core. We'll get create in (on its way at https://gerrit.wikimedia.org/r/#/c/57823/ ). Then, after it's stable enough and wikis are happy with their customizations/help pages/messages, we can resolve this bug.

Mattflaschen added a comment.Via ConduitApr 23 2013, 7:37 PM

Also, we renamed useAgora to useNew.

bzimport added a comment.Via ConduitApr 23 2013, 7:44 PM

swalling wrote:

(In reply to comment #2)

There may be some small blockers. Currently, only the login version of this
is
in core. We'll get create in (on its way at
https://gerrit.wikimedia.org/r/#/c/57823/ ). Then, after it's stable enough
and wikis are happy with their customizations/help pages/messages, we can
resolve this bug.

Yes, this is looking forward a bit, as a bug. We are going to give one week of community testing time after both account creation and login are soft-launched across the cluster, respond to feedback, and work on the necessary cleanup before launching as default.

gerritbot added a comment.Via ConduitMay 24 2013, 10:12 PM

Related URL: https://gerrit.wikimedia.org/r/65340 (Gerrit Change I2f4cb4032871737f96f3d28a8fd974f1d8ba4ccc)

tomasz added a comment.Via ConduitMay 24 2013, 10:25 PM

Why did you decide/are you planning to remove it from core? I'd be perfectly happy with using &useNew=0 forever, as the new version looks absolutely crappy on my browser.

bzimport added a comment.Via ConduitMay 24 2013, 10:30 PM

swalling wrote:

(In reply to comment #6)

Why did you decide/are you planning to remove it from core? I'd be perfectly
happy with using &useNew=0 forever, as the new version looks absolutely
crappy
on my browser.

What browser are you using? Please file any and all bugs you want for browser-specific flaws, and we'll do our best to address them. You'll need to be more specific and constructive than "crappy".

Maintaing multiple sets of i18n messages and styles forever is not something we're going to do. When the use of the version gated behind a URL parameter was submitted, we specifically committed to not leaving two forms in one codebase forever. Reviewers rightfully pointed out it is a messy, hackish approach to a redesign, and we only did it so that critical bugs and i18n issues could be tested in production pre-launch as the default.

tomasz added a comment.Via ConduitMay 24 2013, 11:08 PM

Created attachment 12391
Screenshot of the old login page on Commons

Attached:

tomasz added a comment.Via ConduitMay 24 2013, 11:08 PM

Created attachment 12392
Screenshot of the new login page on Commons

Attached:

tomasz added a comment.Via ConduitMay 24 2013, 11:14 PM

(In reply to comment #7)

What browser are you using? Please file any and all bugs you want for
browser-specific flaws, and we'll do our best to address them. You'll need to
be more specific and constructive than "crappy".

I think I already described this under your blog post on the WMF blog, Steven, so I'll resort to those two screenshots, which clearly show that the new login screen is a regression, not an improvement.

The 'old' login screen is much more usable for me as a regular user: the test for various languages is bigger, it uses a black font instead of a gray one, and does not leave a lot of empty space for whatever's supposed to be on the right side of the new login screen.

A definite plus of the new login page is that it provides a link to a help page, which the old version does not have—though I'm sure it's a matter of editing some system message, and it shouldn't be too hard to fix.

bzimport added a comment.Via ConduitMay 24 2013, 11:17 PM

swalling wrote:

(In reply to comment #10)

(In reply to comment #7)

> What browser are you using? Please file any and all bugs you want for
> browser-specific flaws, and we'll do our best to address them. You'll need to
> be more specific and constructive than "crappy".

I think I already described this under your blog post on the WMF blog,
Steven,
so I'll resort to those two screenshots, which clearly show that the new
login
screen is a regression, not an improvement.

I think it's hardly clear. I think you disagree with the design direction taken, but that's not the same thing as a regression. From looking at your screenshot, I can say that it's as-designed, and that there are no browser-specific bugs as far as can be told from the screenshot.

If you have a beef with the design choices made, we can go through those one by one, but this bug probably isn't the place.

The 'old' login screen is much more usable for me as a regular user: the test
for various languages is bigger, it uses a black font instead of a gray one,
and does not leave a lot of empty space for whatever's supposed to be on the
right side of the new login screen.

A definite plus of the new login page is that it provides a link to a help
page, which the old version does not have—though I'm sure it's a matter of
editing some system message, and it shouldn't be too hard to fix.

Mattflaschen added a comment.Via ConduitMay 24 2013, 11:37 PM

We do have an open bug for possibly making the text color darker (bug 47777).

Making the languages bigger is possible. But I wonder if UniversalLanguageSelector could provide a better approach than a huge list (currently it doesn't seem to work logged out).

bzimport added a comment.Via ConduitMay 24 2013, 11:39 PM

swalling wrote:

(In reply to comment #12)

We do have an open bug for possibly making the text color darker (bug 47777).

Making the languages bigger is possible. But I wonder if
UniversalLanguageSelector could provide a better approach than a huge list
(currently it doesn't seem to work logged out).

The current plan is for ULS to be enabled much more widely: http://blog.wikimedia.org/2013/05/22/getting-ready-for-uls-everywhere-2/

gerritbot added a comment.Via ConduitMay 28 2013, 9:39 PM

Related URL: https://gerrit.wikimedia.org/r/65851 (Gerrit Change I47e1a93d69b2dd739071738a094ce82c34b46344)

Mattflaschen added a comment.Via ConduitMay 29 2013, 7:34 PM

As part of this, we should consolidate the styles for these forms into resources/mediawiki.special. Right now the new styles are there (if they're specific to login/create account), but there are old ones in skins/ (for example, the Monobook background color mentioned at https://bugzilla.wikimedia.org/show_bug.cgi?id=47698#c14).

We can still use skinStyles where appropriate.

gerritbot added a comment.Via ConduitJun 5 2013, 11:08 PM

Related URL: https://gerrit.wikimedia.org/r/67182 (Gerrit Change I0c8115245ed93f15394ec97847fc97981c13306b)

gerritbot added a comment.Via ConduitJun 6 2013, 5:55 AM

Related URL: https://gerrit.wikimedia.org/r/67233 (Gerrit Change I50f25583c3aa9a4a263fb40f50256f92c18ddb4d)

gerritbot added a comment.Via ConduitAug 27 2013, 1:53 AM

Change 81174 had a related patch set uploaded by Spage:
Remove unused UseVForm settings variables.

https://gerrit.wikimedia.org/r/81174

gerritbot added a comment.Via ConduitSep 19 2013, 9:46 PM

Change 81174 merged by jenkins-bot:
Remove unused UseVForm settings variables.

https://gerrit.wikimedia.org/r/81174

MZMcBride added a comment.Via ConduitSep 22 2013, 5:58 PM

Is this bug now resolved/fixed?

Mattflaschen added a comment.Via ConduitSep 23 2013, 1:37 AM

Yes, thanks. it was fixed when https://gerrit.wikimedia.org/r/#/c/67233/ was merged. The config patch removes dead code.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.